cdac.medinfo.sdk.hl7282.hl7model.messages.patientadministration

## Class ADT_A43

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientadministration.ADT_A43_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientadministration.ADT_A43

-     public final class ADT_A43
      extends ADT_A43_Common

  ADT_A43 - Move Patient Information - Patient Identifier List (Event A43). This event is use to retain the from(source) and to(target) patient records,this is done at the patient identifier list level.

  Represents a ADT_A43 message structure (see chapter 3.3.43). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: EVN (Event Type Segment) SINGLE_COMPULSARY
  4: PATIENT (a Group of segments in ADT_A43 message) MULTIPLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  ADT_A43 objA43 = (ADT_A43)MessageFactory.createInstance().createSendSupportedMessage("ADT", "A43");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.patientadministration.ADT_A43_Common

      `addPatientGroup, addPatientGroups, addSoftwareSegment, addSoftwareSegment, getEventTypeSegment, getPatientGroups, getSoftwareSegments, getUserAuthenticationCredentialSegment, setEventTypeSegment, setUserAuthenticationCredentialSegment`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`